org.apache.hadoop.hdfs.federation.protocol.proto

## Interface HdfsServerFederationProtos.RemoteLocationProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    HdfsServerFederationProtos.RemoteLocationProto, HdfsServerFederationProtos.RemoteLocationProto.Builder
  Enclosing class:
    HdfsServerFederationProtos

      public static interface HdfsServerFederationProtos.RemoteLocationProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNameserviceId()` `optional string nameserviceId = 1;`
    `com.google.protobuf.ByteString` | `getNameserviceIdBytes()` `optional string nameserviceId = 1;`
    `String` | `getPath()` `optional string path = 2;`
    `com.google.protobuf.ByteString` | `getPathBytes()` `optional string path = 2;`
    `boolean` | `hasNameserviceId()` `optional string nameserviceId = 1;`
    `boolean` | `hasPath()` `optional string path = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasNameserviceId

          boolean hasNameserviceId()

      `optional string nameserviceId = 1;`

    - #### getNameserviceId

          String getNameserviceId()

      `optional string nameserviceId = 1;`

    - #### getNameserviceIdBytes

          com.google.protobuf.ByteString getNameserviceIdBytes()

      `optional string nameserviceId = 1;`

    - #### hasPath

          boolean hasPath()

      `optional string path = 2;`

    - #### getPath

          String getPath()

      `optional string path = 2;`

    - #### getPathBytes

          com.google.protobuf.ByteString getPathBytes()

      `optional string path = 2;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.